<?PHP
/**
 * This file contains an exception class for usage of unaccepted weight units.
 *
 * @file
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Custom exception class to be raised when trying to use a weight unit that is not
 * accepted by museum-digital.
 */
class MDInvalidWeightUnit extends MDgenericInvalidInputsException {

    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        $errorMsg = 'The following weight unit is not available: ' . $this->getMessage();
        return $errorMsg;

    }

}
